curl --request GET \
--url https://api.treasuryprime.com/book/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/book/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/book/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": "100.00",
"created_at": "2017-11-02T11:55:14Z",
"description": null,
"from_account_id": "acct_1234567890",
"id": "book_1029384756",
"status": "pending",
"to_account_id": "acct_0987654321",
"updated_at": "2017-11-02T11:55:14Z",
"userdata": null
}Fetch a Book Transfer
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Response
The book
Amount of money to transfer, with two decimal precision
^[0-9]+[.][0-9][0-9]$ID of the bank with which the object is associated
Optional arbitrary data that can be attached for the bank's use
Optional description. Long descriptions may be truncated on legacy banking cores.
Error message describing why a book transfer failed to send
ID of the account originating the transfer. Filterable.
Unique identifier for object
ID of the organization with which the object is associated. Filterable.
One of pending, canceled, sent, or error. Filterable.
ID of the account receiving the transfer. Filterable.
Arbitrary data the user can attach to the object
Was this page helpful?